Get internal event log record
curl --request GET \
--url https://api.getmembrane.com/app-events/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/app-events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/app-events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"userId": "<string>",
"appEventTypeId": "<string>",
"appEventSubscriptionId": "<string>",
"event": {},
"datetime": "<string>",
"launchedFlowRunIds": [
"<string>"
],
"name": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"internalId": "<string>",
"meta": {},
"fields": {},
"credentials": {},
"lastActiveAt": "<string>",
"isTest": true,
"isBillable": true,
"isActive": true,
"aiCreditsRolling30DayLimit": 1,
"createdAt": "<string>",
"archivedAt": "<string>"
},
"appEventType": {
"id": "<string>",
"name": "<string>",
"revision": "<string>",
"webhookKey": "<string>",
"globalWebhookUri": "<string>",
"uuid": "<string>",
"key": "<string>",
"description": "<string>",
"meta": {},
"errors": [
{
"message": "<string>",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>",
"isDeactivated": true,
"isReadOnly": true,
"subscribeRequest": {
"uri": {},
"method": "<string>",
"headers": {},
"query": {},
"body": {}
},
"example": {},
"schema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"tenantIdFormula": {},
"userIdFormula": {}
},
"appEventSubscription": {
"id": "<string>",
"name": "<string>",
"revision": "<string>",
"userId": "<string>",
"appEventTypeId": "<string>",
"isSubscribed": true,
"webhookUri": "<string>",
"subscriptionRequest": {
"uri": {},
"method": "<string>",
"headers": {},
"query": {},
"body": {}
},
"uuid": "<string>",
"key": "<string>",
"description": "<string>",
"meta": {},
"errors": [
{
"message": "<string>",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>",
"isDeactivated": true,
"isReadOnly": true,
"tenantId": "<string>",
"instanceKey": "<string>",
"schema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"subscriptionResponse": {}
}
}Internal Event Logs
Get internal event log record
GET
/
app-events
/
{id}
Get internal event log record
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I